local revision = tonumber(("$Revision: 63719 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-06 00:37:34 -0500 (Thu, 06 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("MikScrollingBattleText", "Mik's Scrolling Battle Text")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "MSBTShakedown"

function Addon:Start()
        
    -- display something now
    self:Display()
    
    -- display a message every second
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)

end

function Addon:Stop()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
end

function Addon:Display()

    for k, v in pairs(MikSBT.Animations.scrollAreas) do
        MikSBT.DisplayMessage("MSBT "..v.name, v.name)
        MikSBT.DisplayMessage("MSBT "..v.name, v.name, true)
    end
    
end
