local revision = tonumber(("$Revision: 67912 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
	NSD_REVISION = revision
	NSD_DATE = ("$Date: 2008-04-03 13:49:45 -0400 (Thu, 03 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("WitchHunt", "WitchHunt")
if not Addon then return end

local L
local doomID = 30910
local function test()
	WitchHunt:SendMessage("WitchHunt_Message", WitchHunt:GetFormatted("format_cast", "Ammo", L["Witch Hunt"], doomID))
	WitchHunt:SendMessage("WitchHunt_Message", WitchHunt:GetFormatted("format_gain", "Ammo", L["Witch Hunt Aura"], doomID))
end

local prev, active
local PERIOD = 2
local LRT = Rock("LibRockTimer-1.0")
function Addon:Start()
	L = LibStub("AceLocale-3.0"):GetLocale("WitchHunt")

	-- unlock the frame
	if WitchHunt.db.profile.sinkOptions.sink20OutputSink == "Witch" then
		active = true
		prev = WitchHunt.db.profile.lock
		WitchHunt.db.profile.lock = false
		WitchHunt:UpdateDisplay()
	end

	-- show the test
	test()
	LRT:AddRepeatingTimer("WitchHuntShakedown", PERIOD, test)
end

function Addon:Stop()
	LRT:RemoveTimer("WitchHuntShakedown")
	if active then
		WitchHunt.db.profile.lock = prev
		WitchHunt:UpdateDisplay()
	end
end
